package kr.co.vividnext.sodalive.main

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.base.BaseViewModel

class MainViewModel : BaseViewModel() {
    enum class CurrentTab {
        @SerializedName("CONTENT")
        CONTENT,

        @SerializedName("LIVE")
        LIVE,

        @SerializedName("EXPLORER")
        EXPLORER,

        @SerializedName("MESSAGE")
        MESSAGE,

        @SerializedName("MY")
        MY
    }

    private val _currentTab = MutableLiveData(CurrentTab.LIVE)
    val currentTab: LiveData<CurrentTab>
        get() = _currentTab

    fun clickTab(tab: CurrentTab) {
        if (_currentTab.value != tab) {
            _currentTab.postValue(tab)
        }
    }
}
