package kr.co.vividnext.sodalive.splash

import android.annotation.SuppressLint
import android.content.Intent
import android.os.Bundle
import android.os.Handler
import android.os.Looper
import kr.co.vividnext.sodalive.base.BaseActivity
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.databinding.ActivitySplashBinding
import kr.co.vividnext.sodalive.main.MainActivity
import kr.co.vividnext.sodalive.user.login.LoginActivity

@SuppressLint("CustomSplashScreen")
class SplashActivity : BaseActivity<ActivitySplashBinding>(ActivitySplashBinding::inflate) {

    private val handler = Handler(Looper.getMainLooper())

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        if (SharedPreferenceManager.token.isBlank()) {
            showLoginActivity()
        } else {
            showMainActivity()
        }
    }

    private fun showMainActivity() {
        handler.postDelayed({
            startActivity(
                Intent(applicationContext, MainActivity::class.java).apply {
                    intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP)
                    intent.addFlags(Intent.FLAG_ACTIVITY_SINGLE_TOP)
                }
            )
            finish()
        }, 500)
    }

    private fun showLoginActivity() {
        handler.postDelayed({
            startActivity(
                Intent(applicationContext, LoginActivity::class.java).apply {
                    intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP)
                    intent.addFlags(Intent.FLAG_ACTIVITY_SINGLE_TOP)
                }
            )
            finish()
        }, 500)
    }

    override fun setupView() {}
}
